> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Check DARF

> Check a DARF



## OpenAPI

````yaml api-reference/banking-api/openapi.json POST /banking/cashout/darf/check
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cashout/darf/check:
    post:
      tags:
        - cashout
      summary: Check DARF
      description: Check a DARF
      operationId: TrioFoundationWeb.Banking.Cashout.TaxManual.TaxManualController.check
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Check_darf_request_params'
        description: Check DARF payload
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Create_Check_Darf_Response'
          description: Created
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
          description: Internal server error
      callbacks: {}
      security:
        - {}
        - basic:
            - Base64encode(<client_id>:<client_secret>)
components:
  schemas:
    '401':
      example:
        error:
          error_code: UNAUTHORIZED
          error_message: Invalid credentials
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '401'
      type: object
    '500':
      example:
        error:
          error_code: INTEGRATION_ERROR
          error_message: An unexpected issue occurred
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '500'
      type: object
    Check_darf_request_params:
      description: Check DARF request params
      example:
        accumulated_revenue_amount: 100
        amount: 100
        assessment_date: '2026-01-01'
        authentication_date: '2026-01-01'
        due_date: '2026-01-01'
        federal_revenue_id: ''
        fine_amount: 10
        interest_amount: 5
        name: John Doe
        percentage: 2
        phone: '+5541999381724'
        reference_number: 123456789
        tax_number: '05964110000197'
      properties:
        accumulated_revenue_amount:
          description: Accumulated revenue amount
          type: integer
        amount:
          description: Amount
          type: integer
        assessment_date:
          description: Assessment date
          type: string
        authentication_date:
          description: Authentication date
          type: string
        due_date:
          description: Due date
          type: string
        federal_revenue_id:
          description: Federal revenue ID
          type: string
        fine_amount:
          description: Fine amount
          type: integer
        interest_amount:
          description: Interest amount
          type: integer
        name:
          description: Name
          type: string
        percentage:
          description: Percentage
          type: integer
        phone:
          description: Phone number
          type: string
        reference_number:
          description: Reference number
          nullable: true
          type: integer
        tax_number:
          description: Tax number
          type: string
      required:
        - tax_number
        - name
        - federal_revenue_id
        - amount
        - fine_amount
        - interest_amount
        - percentage
        - assessment_date
        - due_date
        - authentication_date
        - phone
        - accumulated_revenue_amount
      title: Check_darf_request_params
      type: object
    Create_Check_Darf_Response:
      description: Response schema for a single DARF generation
      example:
        data:
          id: 123e4567-e89b-12d3-a456-426614174000
      properties:
        data:
          properties:
            accumulated_revenue_amount:
              description: Accumulated revenue amount
              type: integer
            amount:
              properties:
                amount:
                  description: Amount in the specified currency in cents
                  type: number
                currency:
                  description: Currency code
                  type: string
              type: object
            assessment_date:
              description: Assessment date
              type: string
            authentication_date:
              description: Authentication date
              type: string
            company_id:
              $ref: '#/components/schemas/UUID'
            due_date:
              description: Due date
              type: string
            federal_revenue_id:
              description: Federal revenue ID
              type: string
            fine_amount:
              description: Fine amount
              type: integer
            id:
              $ref: '#/components/schemas/UUID'
            inserted_at:
              description: Inserted at
              type: string
            interest_amount:
              description: Interest amount
              type: integer
            name:
              description: Name of the boleto beneficiary
              type: string
            org_id:
              $ref: '#/components/schemas/UUID'
            payer_name:
              description: Payer name
              type: string
            payer_tax_number:
              description: Payer tax number
              type: string
            payment_end_to_end_id:
              description: Payment end to end ID
              type: string
            percentage:
              description: Percentage
              type: integer
            phone:
              description: Phone number
              type: string
            reference_number:
              description: Reference number
              type: integer
            tax_number:
              description: Tax number of the boleto beneficiary
              type: string
            timestamp:
              description: Timestamp of the check
              type: string
            type:
              description: Boleto type
              type: string
            updated_at:
              description: Updated at
              type: string
          type: object
      title: Create_Check_Darf_Response
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
  securitySchemes:
    basic:
      scheme: basic
      type: http

````